Object Storage
Create event rule
post
/object-storage/buckets/{bucket_uuid}/event-rulesSend some events of the bucket to a destination: objects created, removed (lifecycle expirations included) or tagged, optionally only under a prefix or with a suffix. The rule is applied in the background, usually within a minute. Deliveries may be billed per million, see the tier's prices.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
bucket_uuid*string
Cuerpo de la petición
application/jsonObligatorio
name*string
Rango
1 ≤ length ≤ 64destination_uuid*string
Rango
length ≤ 36events*array<string>
Rango
items ≤ 10prefix?string
Rango
length ≤ 1024Por defecto""suffix?string
Rango
length ≤ 1024Por defecto""enabled?boolean
Por defecto
trueRespuestas
Successful Response
application/json
uuid*string
name*string
bucket_uuid*string
destination?ObjectStorageEventRuleDestination | null
Propiedades (3)
uuid*string
name*string
type*string
events*array<string>
prefix*string
suffix*string
enabled*boolean
status*string
error_message?string | null
created_at?string | null